Invoices

List Invoices

GET
/orgs/{organizationId}/invoices

Lists all invoices in the system with pagination support.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""displayId""status""type""paymentStatus""invoiceDate""dueDate""paidDate""amountSubtotal""amountTax""amountPaid""amountTotal""amountOutstanding""note""internalNote""currency""createdAt""updatedAt""customerId""structuredCommunication""originalDisplayId""reversedFromInvoiceId""bookedById""mandateId""mandateCollectionScheduledAt""excludeFromAutomatedReminders""excludeFromAutomatedRemindersUntil""peppolProvider""peppolDocumentId""peppolUblFolder""peppolUblKey"
sortDir?string
Value in"asc""desc"
include?|array<>|string
originalDisplayId?string|array<string>|null
reversedFromInvoiceId?string|array<string>|null
bookedById?string|array<string>|null
mandateId?string|array<string>|null
peppolDocumentId?string|array<string>|null
status?|array<>|
type?|array<>|
paymentStatus?|array<>|
peppolProvider?|array<>|
excludeFromAutomatedReminders?boolean|string|number|null
amountSubtotal?number||
amountTax?number||
amountPaid?number||
amountTotal?number||
amountOutstanding?number||
invoiceDate?|null
dueDate?|null
paidDate?|null
createdAt?|null
updatedAt?|null
mandateCollectionScheduledAt?|null
excludeFromAutomatedRemindersUntil?|null
displayId?string|array<string>|
note?string|array<string>|
internalNote?string|array<string>|
currency?string|array<string>|
customerId?string|array<string>|
structuredCommunication?string|array<string>|
peppolUblFolder?string|array<string>|
peppolUblKey?string|array<string>|
hasItems?boolean|string|number|null
hasNoItems?boolean|string|number|null
hasPayments?boolean|string|number|null
hasNoPayments?boolean|string|number|null
hasPaymentGroups?boolean|string|number|null
hasNoPaymentGroups?boolean|string|number|null
hasReversalInvoices?boolean|string|number|null
hasNoReversalInvoices?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
hasNotificationDeliveries?boolean|string|number|null
hasNoNotificationDeliveries?boolean|string|number|null
hasComments?boolean|string|number|null
hasNoComments?boolean|string|number|null
hasTasks?boolean|string|number|null
hasNoTasks?boolean|string|number|null
hasMeterConsumptionBatches?boolean|string|number|null
hasNoMeterConsumptionBatches?boolean|string|number|null
hasPrintQueueJobs?boolean|string|number|null
hasNoPrintQueueJobs?boolean|string|number|null
itemId?string|array<string>|
paymentId?string|array<string>|
paymentGroupId?string|array<string>|
reversalInvoiceId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|
notificationDeliveryId?string|array<string>|
commentId?string|array<string>|
taskId?string|array<string>|
meterConsumptionBatchId?string|array<string>|
printQueueJobId?string|array<string>|
hasReversedFromInvoice?boolean|string|number|null
hasNoReversedFromInvoice?boolean|string|number|null
hasBookedBy?boolean|string|number|null
hasNoBookedBy?boolean|string|number|null
hasMandate?boolean|string|number|null
hasNoMandate?boolean|string|number|null
search?string
customerType?array<>
productId?string|array<string>
hasOutstandingBalance?boolean|string|number|null
lastReminderMinDaysAgo?integer
Range0 <= value <= 9007199254740991

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/invoices'
null